//	ＡＩＧライブラリ　基本関数：数値関数
//		Copyright (C) 1989-1993,1999,2000-2001 by AIG-SOFT

#ifndef	__AIG_NUM__
#define	__AIG_NUM__	1

#include "deftype.h"

#ifdef	__cplusplus
// 95/11 : G++対応
extern	"C" {
#endif
#ifdef	__PROTO_TYPE	/* プロトタイプ宣言 */
	int	rand2(int);
	int	rand64(int);
	int	randG(int);
	int	randS(int);
	int	cut_double_int(int *,int );
	int	bin2bcd(unint,unchar *);
	int	CalcSum(int ,unchar *,int ,int *);
	int	isqrt(int);
	unint	bcd2bin(unchar *,int);
	void	srand2(void);
	void	srand64(void);
	void	_srand64(int);
	void	srandG(void);
	void	_srandG(int);
	void	srandS(void);
	void	_srandS(int);
	void	bsort(int *,int );
	void	int_shuffle(int *,int ,int );
	void	qisort1(int *,int);
	void	qisort2(int *,int);
	void	qusort1(unint *,int);
	void	qusort2(unint *,int);
	int	calcrc(unchar *,int );
#else	/* フォーワード宣言 */
	int	rand2();
	int	rand64();
	int	randG();
	int	randS();
	int	cut_double_int();
	int	bin2bcd();
	int	CalcSum();
	int	isqrt();
	unint	bcd2bin();
	void	srand2();
	void	srand64();
	void	_srand64();
	void	srandG();
	void	_srandG();
	void	srandS();
	void	_srandS();
	void	bsort();
	void	int_shuffle();
	void	qisort1();
	void	qisort2();
	void	qusort1();
	void	qusort2();
	int	calcrc();
#endif
#ifdef	__cplusplus
}
#endif

#endif
